package com.qmth.jkserver.service;

import com.qmth.jkserver.dto.ExamKjProgressDto;
import com.qmth.jkserver.model.ExamKjProgress;
import com.qmth.jkserver.model.KjOriginalFileHistory;
import com.qmth.jkserver.model.KjUploadHistory;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;

public interface ExamKjHZService {

	public List<Map<String, Object>> getPlaceByExamCode(String examCode);

	public List<Map<String, Object>> getRoomByPlaceCode(String examCode, String placeCode);

	public List<Map<String, Object>> getBatchesByExamCode(String examCode);

	public ExamKjProgress findProgress(String examCode, String placeCode, String roomCode);

	public ExamKjProgress saveProgress(ExamKjProgress examKjProgress);

	public Page<ExamKjProgressDto> pageQueryProgress(ExamKjProgressDto examKjProgressDto, Boolean already,
													 String placeName, int pageNo, int pageSize);

	public Page<ExamKjProgressDto> pageQuerySolfegeProgress(ExamKjProgressDto examKjProgressDto, int pageNo, int pageSize);

	public KjOriginalFileHistory saveOriginalHistory(KjOriginalFileHistory history);

	public KjUploadHistory saveHistory(KjUploadHistory history);

}
